ftp_realpath(3)

NAME
ftp_realpath - determine the true path of a file from an FTP server

SYNOPSIS
#include <libfget.h>

int ftp_realpath(FTP *ftp, char *path, char *resolved_path, size_t resolvelen);

VERSION
This man page documents version 1.2 of libfget.

DESCRIPTION
The ftp_realpath() function finds the true path of the file specified by path from the FTP server associated with ftp by expanding all symbolic links which are components of the path.

RETURN VALUE
The ftp_realpath() function returns 0 on success, or -1 on error (and sets errno).

If errno is set to ECONNRESET, it indicates that the server shut down the connection. The caller is then responsible for calling ftp_quit() with the FTP_FASTCLOSE flag set.

SEE ALSO
ftp_connect(3), realpath(3)